#pragma once

#include <maps/wikimap/mapspro/services/editor/src/common.h>

#include <yandex/maps/wiki/common/format_type.h>

#include <string>
#include <vector>


namespace maps {
namespace wiki {

class ObjectsQueryPathParser {

public:
    void parse(common::FormatType formatType, const std::string& requestBody);

    const std::vector<TOid>& elementIds() const;

private:
    void parseJson(const std::string& requestBody);

    void parseXml(const std::string& requestBody);

    std::vector<TOid> elementIds_;
};

} // namespace wiki
} // namespace maps
